Name:           unhide
Version:        20130526
Release:        %mkrel 5
Summary:        Tool to find hidden processes and TCP/UDP ports from rootkits
Group:          Security
License:        GPLv3+
URL:            http://www.unhide-forensics.info/
Source0:        http://downloads.sourceforge.net/project/%{name}/%{name}-%{version}.tgz

%description
Unhide is a forensic tool to find hidden processes and TCP/UDP ports by
rootkits / LKMs or by another hidden technique.

%prep
%setup -q

%build
gcc %{optflags} %{ldflags} -pthread unhide-linux*.c unhide-output.c -o unhide-linux
gcc %{optflags} %{ldflags} unhide-tcp.c unhide-tcp-fast.c unhide-output.c -o unhide-tcp
gcc %{optflags} %{ldflags} unhide_rb.c -o unhide_rb

%install

# binaries
install -Dp -m0755 unhide-linux %{buildroot}%{_sbindir}/unhide-linux
install -Dp -m0755 unhide-tcp %{buildroot}%{_sbindir}/unhide-tcp
install -Dp -m0755 unhide_rb %{buildroot}%{_sbindir}/unhide_rb

# man pages
install -d %{buildroot}%{_mandir}/man8
install -d %{buildroot}%{_mandir}/es/man8
install -d %{buildroot}%{_mandir}/fr/man8

install -p -m0644 man/*.8 -t %{buildroot}%{_mandir}/man8/
install -p -m0644 man/es/*.8 -t %{buildroot}%{_mandir}/es/man8/
install -p -m0644 man/fr/*.8 -t %{buildroot}%{_mandir}/fr/man8/

# symlinks
ln -s unhide-linux %{buildroot}%{_sbindir}/unhide
ln -s unhide.8 %{buildroot}%{_mandir}/man8/unhide-linux.8
ln -s unhide.8 %{buildroot}%{_mandir}/es/man8/unhide-linux.8
ln -s unhide.8 %{buildroot}%{_mandir}/fr/man8/unhide-linux.8


%find_lang --with-man --all-name %{name}

%files -f %{name}.lang
%doc changelog LEEME.txt README.txt
%{_mandir}/man8/unhide*
%{_sbindir}/unhide*


%changelog
* Fri Feb 05 2016 umeabot <umeabot> 20130526-5.mga6
+ Revision: 938679
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 20130526-4.mga5
+ Revision: 740478
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 20130526-3.mga5
+ Revision: 690043
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 20130526-2.mga4
+ Revision: 528476
- Mageia 4 Mass Rebuild

* Thu Jun 20 2013 wally <wally> 20130526-1.mga4
+ Revision: 445292
- new version 20130526

* Sun Apr 07 2013 luigiwalser <luigiwalser> 20121229-5.mga3
+ Revision: 408805
- rebuild to really fix mga#9055

* Sun Mar 17 2013 lmenut <lmenut> 20121229-4.mga3
+ Revision: 403615
- rebuild for new rpm-mageia-setup
  do not own man lang directories (mga #9055)

* Mon Jan 21 2013 malo <malo> 20121229-3.mga3
+ Revision: 390513
- update RPM group

* Mon Jan 14 2013 umeabot <umeabot> 20121229-2.mga3
+ Revision: 385063
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 01 2013 wally <wally> 20121229-1.mga3
+ Revision: 337209
- new version 20121229

* Tue Feb 08 2011 wally <wally> 20110113-1.mga1
+ Revision: 49201
- new version 20110113
- fix url and source tags

* Sun Jan 09 2011 wally <wally> 20100819-2.mga1
+ Revision: 1652
- imported package unhide


* Sun Nov 14 2010 Jani Välimaa <wally@mandriva.org> 20100819-2mdv2011.0
+ Revision: 597542
- build with LDFLAGS
- add symlink for man page too

* Sat Sep 25 2010 Jani Välimaa <wally@mandriva.org> 20100819-1mdv2011.0
+ Revision: 580960
- new version 20100819
- fix license and description

* Mon Aug 02 2010 Jani Välimaa <wally@mandriva.org> 20100201-1mdv2011.0
+ Revision: 565116
- fix source tag
- import unhide


